Loyalty.lt
Coupons

List products a coupon applies to

Returns the products a product-specific coupon can be redeemed against.

GET/{locale}/shop/coupons/products

Returns the products a product-specific coupon can be redeemed against.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"

Query Parameters

coupon_id*integer

Coupon ID.

Response Body

application/json

curl -X GET "https://example.com/lt/shop/coupons/products?coupon_id=77"
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}